// file: $isip/class/algo/DisplayData/dspd_01.cc
// version: $Id: dspd_01.cc 6651 2001-04-11 18:38:19Z duncan $
//

// isip include files
//
#include <Console.h>
#include "DisplayData.h"

// method: debug
//
// arguments:
//  const unichar* msg: (input) message to print
//
// return: a boolean value indicating status
//
boolean DisplayData::debug(const unichar* msg_a) const {

  // declare local variables
  //  
  String output;

  // display the algorithm
  //
  output.debugStr(name(), msg_a, L"algorithm_d", ALGO_MAP((long)algorithm_d));
  Console::put(output);

  // display the algorithm
  //
  output.debugStr(name(), msg_a, L"implementation_d",
		  IMPL_MAP((long)implementation_d));
  Console::put(output);

  // display the number name
  //
  String value;
  value.assign((long)number_d);
  output.debugStr(name(), msg_a, L"number_d", value);
  Console::put(output);

  // exit gracefully
  //
  return true;
}
